let scene;

init();
loop();

function init() {

    // Initialize scene
    scene = new Scene(document.getElementById('canvas'));
    scene.autoResize();

    let box = new Box();
    scene.addObject(box);

    scene.addPlatform(new Platform(0.2, 0.5, 0.3));
    scene.addPlatform(new Platform(0.6, 0.2, 0.2));
    scene.addPlatform(new Platform(0.7, 0.7, 0.3));

    // Initialize listeners
    window.addEventListener('resize', () => scene.autoResize());
    document.addEventListener('touchstart', (event) => {
        let e = event.changedTouches[0];
        box.jump(e.clientX / window.innerWidth, e.clientY / window.innerHeight);
    });

}

function loop() {

    // Manage physics
    scene.update();

    // Do rendering
    scene.render();

    requestAnimationFrame(loop);
}

